Package com.usatiuk.dhfs.jkleppmanntree.structs

# Interface JKleppmannTreeNodeMeta

All Superinterfaces:
  `NodeMeta`, `Serializable`

All Known Implementing Classes:
  `JKleppmannTreeNodeMetaDirectory`, `JKleppmannTreeNodeMetaFile`, `JKleppmannTreeNodeMetaPeer`

public interface JKleppmannTreeNodeMeta extends NodeMeta

## Method Summary

Modifier and Type
Method
Description
`Collection<JObjectKey>`
`collectRefsTo()`
`JKleppmannTreeNodeMeta`
`withName(String name)`

### Methods inherited from interface com.usatiuk.kleppmanntree.NodeMeta

`name`

## Method Details

### withName

JKleppmannTreeNodeMeta withName(String name)

Specified by:
  `withName` in interface `NodeMeta`

### collectRefsTo

Collection<JObjectKey> collectRefsTo()